<!DOCTYPE html>
<html>
<head>
  <title>Artillery report</title>
  <script src='https://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js'></script>
  <script src='https://cdnjs.cloudflare.com/ajax/libs/d3/3.5.0/d3.min.js' charset='utf-8'></script>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/metrics-graphics/2.6.0/metricsgraphics.min.css" />
  <script src="https://cdnjs.cloudflare.com/ajax/libs/metrics-graphics/2.6.0/metricsgraphics.min.js"></script>

  <link href='https://fonts.googleapis.com/css?family=Open+Sans:400,300,700' rel='stylesheet' type='text/css'>
  <link href='https://fonts.googleapis.com/css?family=PT+Serif:400,700,400italic' rel='stylesheet' type='text/css'>
  <link href='https://netdna.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.css' rel='stylesheet' type='text/css'>
  <link href='https://maxcdn.bootstrapcdn.com/bootstrap/3.2.0/css/bootstrap.min.css' rel='stylesheet' type='text/css'>

  <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.10.6/moment.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/lodash.js/3.10.1/lodash.min.js"></script>

  <script src="https://cdnjs.cloudflare.com/ajax/libs/ace/1.2.0/ace.js" charset="utf-8"></script>

  <style>
  body, p, li {
    font-family: sans-serif;
    font-size: 10pt;
  }

  h1 {
    font-size: 18pt;
    font-weight: bold;
  }

  #errorsContainer > p {
    color: #009900;
  }

  #footer {
    padding: 1em;
    font-size: 0.8em;
    color: #999;
    text-align: center;
    margin-top: 1em;
    background-color: #eee;
  }
  #editor {
    font-size: 8pt;
    height: 20em;
  }
  </style>

  <script>
  window.Report = {
  "aggregate": {
    "timestamp": "2019-04-09T20:47:11.715Z",
    "scenariosCreated": 33649,
    "scenariosCompleted": 33649,
    "requestsCompleted": 33649,
    "latency": {
      "min": 2.6,
      "max": 1015.4,
      "median": 4.4,
      "p95": 6.5,
      "p99": 10.9
    },
    "rps": {
      "count": 33649,
      "mean": 46.67
    },
    "scenarioDuration": {
      "min": 3.8,
      "max": 1017.1,
      "median": 5.9,
      "p95": 8.6,
      "p99": 13.7
    },
    "scenarioCounts": {
      "0": 33649
    },
    "errors": {},
    "codes": {
      "200": 33649
    },
    "matches": 0,
    "customStats": {},
    "counters": {},
    "scenariosAvoided": 0,
    "phases": [
      {
        "duration": 120,
        "arrivalRate": 10,
        "rampTo": 50,
        "name": "Warm up the application"
      },
      {
        "duration": 600,
        "arrivalRate": 50,
        "name": "Sustained max load"
      }
    ]
  },
  "intermediate": [
    {
      "timestamp": "2019-04-09T20:35:20.458Z",
      "scenariosCreated": 116,
      "scenariosCompleted": 116,
      "requestsCompleted": 116,
      "latency": {
        "min": 3.2,
        "max": 34.8,
        "median": 4.4,
        "p95": 5.8,
        "p99": 20.3
      },
      "rps": {
        "count": 116,
        "mean": 11.91
      },
      "scenarioDuration": {
        "min": 5,
        "max": 74.4,
        "median": 7.4,
        "p95": 9.3,
        "p99": 49.8
      },
      "scenarioCounts": {
        "0": 116
      },
      "errors": {},
      "codes": {
        "200": 116
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:35:30.451Z",
      "scenariosCreated": 167,
      "scenariosCompleted": 167,
      "requestsCompleted": 167,
      "latency": {
        "min": 3.3,
        "max": 6.9,
        "median": 4.3,
        "p95": 5.4,
        "p99": 6.5
      },
      "rps": {
        "count": 167,
        "mean": 16.75
      },
      "scenarioDuration": {
        "min": 5,
        "max": 10.1,
        "median": 6.8,
        "p95": 9,
        "p99": 9.8
      },
      "scenarioCounts": {
        "0": 167
      },
      "errors": {},
      "codes": {
        "200": 167
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:35:40.451Z",
      "scenariosCreated": 187,
      "scenariosCompleted": 187,
      "requestsCompleted": 187,
      "latency": {
        "min": 3,
        "max": 19.2,
        "median": 4.4,
        "p95": 5.9,
        "p99": 8.2
      },
      "rps": {
        "count": 187,
        "mean": 18.7
      },
      "scenarioDuration": {
        "min": 4.6,
        "max": 21.3,
        "median": 6.8,
        "p95": 9.2,
        "p99": 11.3
      },
      "scenarioCounts": {
        "0": 187
      },
      "errors": {},
      "codes": {
        "200": 187
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:35:50.451Z",
      "scenariosCreated": 220,
      "scenariosCompleted": 220,
      "requestsCompleted": 220,
      "latency": {
        "min": 2.9,
        "max": 9,
        "median": 4.2,
        "p95": 5.9,
        "p99": 6.5
      },
      "rps": {
        "count": 220,
        "mean": 22
      },
      "scenarioDuration": {
        "min": 4.5,
        "max": 12,
        "median": 6.4,
        "p95": 9.5,
        "p99": 10.6
      },
      "scenarioCounts": {
        "0": 220
      },
      "errors": {},
      "codes": {
        "200": 220
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:36:00.450Z",
      "scenariosCreated": 222,
      "scenariosCompleted": 222,
      "requestsCompleted": 222,
      "latency": {
        "min": 3.1,
        "max": 10.4,
        "median": 4.3,
        "p95": 5.9,
        "p99": 7.7
      },
      "rps": {
        "count": 222,
        "mean": 22.22
      },
      "scenarioDuration": {
        "min": 4.5,
        "max": 13.2,
        "median": 6.3,
        "p95": 8.6,
        "p99": 10.2
      },
      "scenarioCounts": {
        "0": 222
      },
      "errors": {},
      "codes": {
        "200": 222
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:36:10.452Z",
      "scenariosCreated": 273,
      "scenariosCompleted": 273,
      "requestsCompleted": 273,
      "latency": {
        "min": 2.6,
        "max": 8.8,
        "median": 4.1,
        "p95": 5.8,
        "p99": 7.7
      },
      "rps": {
        "count": 273,
        "mean": 27.49
      },
      "scenarioDuration": {
        "min": 4.2,
        "max": 11.5,
        "median": 6.2,
        "p95": 8.4,
        "p99": 10.7
      },
      "scenarioCounts": {
        "0": 273
      },
      "errors": {},
      "codes": {
        "200": 273
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:36:20.454Z",
      "scenariosCreated": 327,
      "scenariosCompleted": 327,
      "requestsCompleted": 327,
      "latency": {
        "min": 2.9,
        "max": 7.6,
        "median": 4.1,
        "p95": 5.3,
        "p99": 6.3
      },
      "rps": {
        "count": 327,
        "mean": 32.8
      },
      "scenarioDuration": {
        "min": 4.4,
        "max": 10.6,
        "median": 6,
        "p95": 8,
        "p99": 10
      },
      "scenarioCounts": {
        "0": 327
      },
      "errors": {},
      "codes": {
        "200": 327
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:36:30.456Z",
      "scenariosCreated": 359,
      "scenariosCompleted": 359,
      "requestsCompleted": 359,
      "latency": {
        "min": 2.6,
        "max": 9.2,
        "median": 4.2,
        "p95": 5.7,
        "p99": 8
      },
      "rps": {
        "count": 359,
        "mean": 35.9
      },
      "scenarioDuration": {
        "min": 4,
        "max": 12,
        "median": 6,
        "p95": 8.3,
        "p99": 10.6
      },
      "scenarioCounts": {
        "0": 359
      },
      "errors": {},
      "codes": {
        "200": 359
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:36:40.457Z",
      "scenariosCreated": 382,
      "scenariosCompleted": 382,
      "requestsCompleted": 382,
      "latency": {
        "min": 3.1,
        "max": 16.9,
        "median": 4,
        "p95": 5.5,
        "p99": 6.8
      },
      "rps": {
        "count": 382,
        "mean": 38.2
      },
      "scenarioDuration": {
        "min": 4.2,
        "max": 18.8,
        "median": 5.8,
        "p95": 7.7,
        "p99": 8.9
      },
      "scenarioCounts": {
        "0": 382
      },
      "errors": {},
      "codes": {
        "200": 382
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:36:50.457Z",
      "scenariosCreated": 426,
      "scenariosCompleted": 426,
      "requestsCompleted": 426,
      "latency": {
        "min": 2.7,
        "max": 8.6,
        "median": 4.1,
        "p95": 5.5,
        "p99": 7.3
      },
      "rps": {
        "count": 426,
        "mean": 42.6
      },
      "scenarioDuration": {
        "min": 4.2,
        "max": 10.8,
        "median": 5.7,
        "p95": 7.8,
        "p99": 9.7
      },
      "scenarioCounts": {
        "0": 426
      },
      "errors": {},
      "codes": {
        "200": 426
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:37:00.458Z",
      "scenariosCreated": 456,
      "scenariosCompleted": 456,
      "requestsCompleted": 456,
      "latency": {
        "min": 2.8,
        "max": 15.5,
        "median": 4.1,
        "p95": 5.3,
        "p99": 7.4
      },
      "rps": {
        "count": 456,
        "mean": 45.6
      },
      "scenarioDuration": {
        "min": 4,
        "max": 17.8,
        "median": 5.6,
        "p95": 7.5,
        "p99": 9.5
      },
      "scenarioCounts": {
        "0": 456
      },
      "errors": {},
      "codes": {
        "200": 456
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:37:10.458Z",
      "scenariosCreated": 487,
      "scenariosCompleted": 487,
      "requestsCompleted": 487,
      "latency": {
        "min": 2.6,
        "max": 7.3,
        "median": 4.1,
        "p95": 5.3,
        "p99": 6
      },
      "rps": {
        "count": 487,
        "mean": 48.8
      },
      "scenarioDuration": {
        "min": 3.8,
        "max": 9.7,
        "median": 5.6,
        "p95": 7.4,
        "p99": 8.6
      },
      "scenarioCounts": {
        "0": 487
      },
      "errors": {},
      "codes": {
        "200": 487
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:37:20.456Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 499,
      "requestsCompleted": 499,
      "latency": {
        "min": 2.9,
        "max": 8.6,
        "median": 4,
        "p95": 5.6,
        "p99": 6.9
      },
      "rps": {
        "count": 499,
        "mean": 49.9
      },
      "scenarioDuration": {
        "min": 4,
        "max": 10.3,
        "median": 5.3,
        "p95": 7.2,
        "p99": 8.3
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 499
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:37:30.456Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.8,
        "max": 8.8,
        "median": 4.2,
        "p95": 5.8,
        "p99": 6.7
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.1,
        "max": 11.4,
        "median": 5.6,
        "p95": 7.4,
        "p99": 8.7
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:37:40.456Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.1,
        "max": 16.6,
        "median": 4,
        "p95": 5.5,
        "p99": 7.4
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.2,
        "max": 17.7,
        "median": 5.3,
        "p95": 7.1,
        "p99": 9.1
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:37:50.457Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3,
        "max": 9.5,
        "median": 4.2,
        "p95": 5.8,
        "p99": 7
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.3,
        "max": 12.1,
        "median": 5.5,
        "p95": 7.5,
        "p99": 9.5
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:38:00.456Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 472,
      "requestsCompleted": 472,
      "latency": {
        "min": 2.9,
        "max": 9.8,
        "median": 4,
        "p95": 5.7,
        "p99": 6.9
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3.8,
        "max": 14.2,
        "median": 5.3,
        "p95": 7.6,
        "p99": 9.9
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 472
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 29,
      "pendingRequests": 28,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:38:10.454Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 528,
      "requestsCompleted": 528,
      "latency": {
        "min": 3,
        "max": 887.8,
        "median": 4.2,
        "p95": 440.8,
        "p99": 806.2
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.1,
        "max": 889.2,
        "median": 5.4,
        "p95": 442.4,
        "p99": 807.2
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 528
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:38:20.454Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.7,
        "max": 14,
        "median": 4.2,
        "p95": 5.8,
        "p99": 7.7
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.3,
        "max": 16,
        "median": 5.5,
        "p95": 7.6,
        "p99": 9.5
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:38:30.455Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3,
        "max": 9.1,
        "median": 4.2,
        "p95": 5.6,
        "p99": 7
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.3,
        "max": 10.3,
        "median": 5.6,
        "p95": 7.4,
        "p99": 9.1
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:38:40.453Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.2,
        "max": 6.8,
        "median": 4.2,
        "p95": 5.8,
        "p99": 6.5
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.3,
        "max": 10.8,
        "median": 5.5,
        "p95": 7.3,
        "p99": 8.6
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:38:50.453Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.2,
        "max": 8.7,
        "median": 4.2,
        "p95": 5.8,
        "p99": 7.1
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.3,
        "max": 10.6,
        "median": 5.5,
        "p95": 7.4,
        "p99": 9.1
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:39:00.455Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.3,
        "max": 27.6,
        "median": 4.4,
        "p95": 5.6,
        "p99": 6.8
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.3,
        "max": 28.9,
        "median": 5.7,
        "p95": 7.3,
        "p99": 8.6
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:39:10.453Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.2,
        "max": 23.5,
        "median": 4.2,
        "p95": 5.9,
        "p99": 8.2
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.4,
        "max": 24.9,
        "median": 5.5,
        "p95": 7.7,
        "p99": 10.6
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:39:20.453Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.1,
        "max": 11,
        "median": 4.1,
        "p95": 5.4,
        "p99": 7.4
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.3,
        "max": 18.4,
        "median": 5.4,
        "p95": 7.3,
        "p99": 9.7
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:39:30.454Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.1,
        "max": 11,
        "median": 4.3,
        "p95": 5.5,
        "p99": 7.1
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.2,
        "max": 13.4,
        "median": 5.6,
        "p95": 7.3,
        "p99": 9.3
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:39:40.453Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.7,
        "max": 7.6,
        "median": 4.3,
        "p95": 5.5,
        "p99": 6.1
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 3.9,
        "max": 11.9,
        "median": 5.7,
        "p95": 7.4,
        "p99": 8.3
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:39:50.452Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.1,
        "max": 11.4,
        "median": 4.4,
        "p95": 6.2,
        "p99": 8.4
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.4,
        "max": 15.5,
        "median": 5.9,
        "p95": 8,
        "p99": 11.1
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:40:00.451Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.4,
        "max": 8.9,
        "median": 4.4,
        "p95": 5.6,
        "p99": 6.6
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.6,
        "max": 10.7,
        "median": 5.8,
        "p95": 7.5,
        "p99": 8.9
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:40:10.451Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.4,
        "max": 13.3,
        "median": 4.4,
        "p95": 6.2,
        "p99": 7.9
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.6,
        "max": 17.6,
        "median": 5.9,
        "p95": 8.1,
        "p99": 10
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:40:20.451Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.3,
        "max": 12.4,
        "median": 4.4,
        "p95": 5.9,
        "p99": 7.1
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.5,
        "max": 13.6,
        "median": 5.9,
        "p95": 7.7,
        "p99": 9.5
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:40:30.451Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.2,
        "max": 21.3,
        "median": 4.9,
        "p95": 7.3,
        "p99": 12.5
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.3,
        "max": 23.7,
        "median": 6.4,
        "p95": 9.9,
        "p99": 14.7
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:40:40.450Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.4,
        "max": 13.3,
        "median": 4.8,
        "p95": 6.8,
        "p99": 8.2
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.7,
        "max": 15.8,
        "median": 6.5,
        "p95": 9,
        "p99": 11.3
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:40:50.450Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.3,
        "max": 12.3,
        "median": 4.5,
        "p95": 6.5,
        "p99": 8.5
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.5,
        "max": 15.4,
        "median": 5.9,
        "p95": 8.6,
        "p99": 11
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:41:00.450Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.5,
        "max": 19.9,
        "median": 5,
        "p95": 7.5,
        "p99": 10.1
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.8,
        "max": 22.2,
        "median": 6.5,
        "p95": 9.9,
        "p99": 12.8
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:41:10.450Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.3,
        "max": 13.8,
        "median": 4.5,
        "p95": 6.4,
        "p99": 8.2
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.5,
        "max": 17,
        "median": 5.9,
        "p95": 8.2,
        "p99": 10.4
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:41:20.449Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.1,
        "max": 13.8,
        "median": 4.4,
        "p95": 6,
        "p99": 7.9
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.4,
        "max": 15.6,
        "median": 5.7,
        "p95": 7.6,
        "p99": 9.9
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:41:30.449Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.3,
        "max": 988.9,
        "median": 4.7,
        "p95": 563.5,
        "p99": 920.2
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.5,
        "max": 990.4,
        "median": 6,
        "p95": 564.8,
        "p99": 922.1
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:41:40.449Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.3,
        "max": 9.1,
        "median": 4.5,
        "p95": 6.1,
        "p99": 7.5
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.6,
        "max": 10.8,
        "median": 5.9,
        "p95": 7.9,
        "p99": 9.6
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:41:50.449Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.2,
        "max": 19.4,
        "median": 4.4,
        "p95": 6.1,
        "p99": 7.7
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.3,
        "max": 21.3,
        "median": 5.8,
        "p95": 7.9,
        "p99": 10.1
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:42:00.450Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.1,
        "max": 14.9,
        "median": 4.7,
        "p95": 7.1,
        "p99": 8.7
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.3,
        "max": 22.9,
        "median": 6.2,
        "p95": 9.1,
        "p99": 12.3
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:42:10.448Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.5,
        "max": 33.5,
        "median": 5.1,
        "p95": 8.4,
        "p99": 16.9
      },
      "rps": {
        "count": 500,
        "mean": 50.05
      },
      "scenarioDuration": {
        "min": 4.8,
        "max": 51.1,
        "median": 6.9,
        "p95": 10.7,
        "p99": 19.5
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:42:20.448Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.4,
        "max": 27.3,
        "median": 4.6,
        "p95": 6.5,
        "p99": 10
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.6,
        "max": 30.2,
        "median": 6,
        "p95": 8.3,
        "p99": 11.8
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:42:30.447Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.2,
        "max": 12.3,
        "median": 4.3,
        "p95": 6.1,
        "p99": 7.8
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.4,
        "max": 14.5,
        "median": 5.6,
        "p95": 8,
        "p99": 9.5
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:42:40.447Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.2,
        "max": 10,
        "median": 4.5,
        "p95": 6.5,
        "p99": 8
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.5,
        "max": 11.4,
        "median": 6,
        "p95": 8.6,
        "p99": 10.1
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:42:50.450Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.3,
        "max": 45.1,
        "median": 4.7,
        "p95": 7.7,
        "p99": 16.1
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.4,
        "max": 55.3,
        "median": 6.4,
        "p95": 9.8,
        "p99": 22.3
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:43:00.446Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.4,
        "max": 12.1,
        "median": 4.8,
        "p95": 6.8,
        "p99": 9.1
      },
      "rps": {
        "count": 500,
        "mean": 50.05
      },
      "scenarioDuration": {
        "min": 4.7,
        "max": 15.6,
        "median": 6.3,
        "p95": 9.2,
        "p99": 12
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:43:10.446Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 2.9,
        "max": 44.3,
        "median": 4.4,
        "p95": 6.2,
        "p99": 8.5
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.1,
        "max": 46.1,
        "median": 5.8,
        "p95": 8,
        "p99": 10.5
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:43:20.446Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.1,
        "max": 420.8,
        "median": 4.3,
        "p95": 10.8,
        "p99": 341.4
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.3,
        "max": 422,
        "median": 5.6,
        "p95": 12,
        "p99": 342.5
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:43:30.445Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.2,
        "max": 8.9,
        "median": 4.5,
        "p95": 5.9,
        "p99": 7
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.4,
        "max": 11.5,
        "median": 5.8,
        "p95": 7.7,
        "p99": 9
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:43:40.445Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.5,
        "max": 10.1,
        "median": 4.7,
        "p95": 6.4,
        "p99": 7.8
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.6,
        "max": 11.7,
        "median": 6.2,
        "p95": 8.1,
        "p99": 9.8
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:43:50.447Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.1,
        "max": 15.6,
        "median": 4.5,
        "p95": 6.5,
        "p99": 8
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.4,
        "max": 17.7,
        "median": 5.8,
        "p95": 8.4,
        "p99": 10.3
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:44:00.445Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.3,
        "max": 1015.4,
        "median": 4.7,
        "p95": 639.9,
        "p99": 934.6
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.5,
        "max": 1017.1,
        "median": 6.2,
        "p95": 641.9,
        "p99": 935.7
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:44:10.444Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.5,
        "max": 12.7,
        "median": 4.7,
        "p95": 6.7,
        "p99": 8.6
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.6,
        "max": 14.7,
        "median": 6.2,
        "p95": 8.8,
        "p99": 11.3
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:44:20.444Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.3,
        "max": 13.6,
        "median": 4.4,
        "p95": 6.3,
        "p99": 9.2
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.6,
        "max": 14.8,
        "median": 5.8,
        "p95": 8.4,
        "p99": 11.3
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:44:30.445Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.2,
        "max": 8.6,
        "median": 4.4,
        "p95": 6,
        "p99": 7.2
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.4,
        "max": 13.5,
        "median": 5.8,
        "p95": 7.9,
        "p99": 8.9
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:44:40.443Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.5,
        "max": 11.7,
        "median": 4.9,
        "p95": 6.5,
        "p99": 8.1
      },
      "rps": {
        "count": 500,
        "mean": 50.05
      },
      "scenarioDuration": {
        "min": 4.7,
        "max": 16.2,
        "median": 6.5,
        "p95": 8.7,
        "p99": 12.3
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:44:50.443Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.4,
        "max": 51,
        "median": 5.6,
        "p95": 13.1,
        "p99": 24.9
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.6,
        "max": 53.4,
        "median": 7.7,
        "p95": 19,
        "p99": 35
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:45:00.443Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.3,
        "max": 15.7,
        "median": 4.8,
        "p95": 7,
        "p99": 9.1
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.5,
        "max": 17.7,
        "median": 6.4,
        "p95": 9.2,
        "p99": 11.2
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:45:10.443Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.1,
        "max": 21.1,
        "median": 4.7,
        "p95": 6.4,
        "p99": 9.1
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.2,
        "max": 22.5,
        "median": 6.2,
        "p95": 8.5,
        "p99": 11
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:45:20.443Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.1,
        "max": 10.6,
        "median": 4.8,
        "p95": 6.3,
        "p99": 7.4
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.3,
        "max": 13.5,
        "median": 6.3,
        "p95": 8.2,
        "p99": 9.5
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:45:30.442Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.5,
        "max": 16.2,
        "median": 4.7,
        "p95": 6.8,
        "p99": 7.8
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.7,
        "max": 18.8,
        "median": 6.2,
        "p95": 8.8,
        "p99": 10.8
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:45:40.441Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.2,
        "max": 9.1,
        "median": 4.5,
        "p95": 6.1,
        "p99": 7
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.5,
        "max": 10.4,
        "median": 5.9,
        "p95": 7.7,
        "p99": 9
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:45:50.444Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.3,
        "max": 12,
        "median": 4.8,
        "p95": 7.5,
        "p99": 9.7
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.3,
        "max": 14.1,
        "median": 6.4,
        "p95": 9.8,
        "p99": 12.8
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:46:00.442Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.3,
        "max": 16.9,
        "median": 5,
        "p95": 8.3,
        "p99": 10.3
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.5,
        "max": 18.2,
        "median": 6.6,
        "p95": 11.2,
        "p99": 12.9
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:46:10.443Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.4,
        "max": 11.6,
        "median": 4.5,
        "p95": 6,
        "p99": 7.2
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.5,
        "max": 13.7,
        "median": 5.8,
        "p95": 7.7,
        "p99": 9.1
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:46:20.440Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.1,
        "max": 10.9,
        "median": 4.4,
        "p95": 6.3,
        "p99": 7.7
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.3,
        "max": 12.8,
        "median": 5.6,
        "p95": 8,
        "p99": 9.8
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:46:30.442Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.4,
        "max": 56.1,
        "median": 4.7,
        "p95": 6.3,
        "p99": 8.5
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.6,
        "max": 57.7,
        "median": 6.1,
        "p95": 8.1,
        "p99": 10.8
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:46:40.440Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.4,
        "max": 27.8,
        "median": 4.7,
        "p95": 6.8,
        "p99": 9
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.5,
        "max": 29.2,
        "median": 6.1,
        "p95": 8.9,
        "p99": 12.3
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:46:50.439Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.2,
        "max": 13.5,
        "median": 4.3,
        "p95": 6,
        "p99": 7.9
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.3,
        "max": 14.6,
        "median": 5.7,
        "p95": 7.8,
        "p99": 10.4
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:47:00.439Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.4,
        "max": 13,
        "median": 4.8,
        "p95": 7.1,
        "p99": 10.5
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.5,
        "max": 15,
        "median": 6.3,
        "p95": 9.6,
        "p99": 12.5
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:47:10.438Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 500,
      "latency": {
        "min": 3.2,
        "max": 9.2,
        "median": 4.5,
        "p95": 6,
        "p99": 7.3
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 4.3,
        "max": 10.8,
        "median": 5.9,
        "p95": 8,
        "p99": 9.4
      },
      "scenarioCounts": {
        "0": 500
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2019-04-09T20:47:11.482Z",
      "scenariosCreated": 27,
      "scenariosCompleted": 28,
      "requestsCompleted": 28,
      "latency": {
        "min": 3.3,
        "max": 6.3,
        "median": 4.4,
        "p95": 5.6,
        "p99": 6.3
      },
      "rps": {
        "count": 28,
        "mean": 26.92
      },
      "scenarioDuration": {
        "min": 4.7,
        "max": 8.5,
        "median": 5.9,
        "p95": 7.8,
        "p99": 8.5
      },
      "scenarioCounts": {
        "0": 27
      },
      "errors": {},
      "codes": {
        "200": 28
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    }
  ]
};
  </script>

  <style>
      h1 {
        line-height: 200%;
      }

      body {
          background-color: #fcfcfc;
      }

      .container {
          width: 100%;
          min-width: 960px;
      }
  </style>


</head>
<body>

<div class="container">

<div class="row" id="header">
  <div class="col-lg-4 col-lg-offset-4">
    <pre style="font-size: 5pt; background-color: #fcfcfc; border: none;">
            _   _ _ _                                                _
  __ _ _ __| |_(_) | | ___ _ __ _   _      _ __ ___ _ __   ___  _ __| |_
 / _` | '__| __| | | |/ _ \ '__| | | |    | '__/ _ \ '_ \ / _ \| '__| __|
| (_| | |  | |_| | | |  __/ |  | |_| |    | | |  __/ |_) | (_) | |  | |_
 \__,_|_|   \__|_|_|_|\___|_|   \__, |    |_|  \___| .__/ \___/|_|   \__|
                                |___/              |_|

    </pre>
  </div>
</div>

<div class="row">
  <div class="col-lg-12">
    <h1 class="text-center" id="page-title">Test run on <span id="timestamp">date</span></h1>
  </div>
</div>

<div class="row">
  <div class="col-lg-3">
    <p><strong>Summary</strong></p>
    <table class="table table-bordered table-hover table-condensed">
      <tbody>
        <tr>
          <td>Test duration</td>
          <td><span id="testDuration">0</span> sec</td>
        </tr>
        <tr>
          <td>Scenarios created</td>
          <td><span id="scenariosCreated">0</span></td>
        </tr>

        <tr>
          <td>Scenarios completed</td>
          <td><span id="scenariosCompleted">0</span></td>
        </tr>
      </tbody>
    </table>
  </div>

  <div class="col-lg-5" id="scenarioCountsContainer">
    <div>
      <strong>Scenario counts:</strong>

      <p></p>

      <table class="table table-bordered table-hover table-condensed" id="scenarioCounts">
      </table>
    </div>
  </div>

  <div class="col-lg-1">
    <div id="codesContainer">
      <strong>Codes</strong>

      <p></p>

      <table class="table table-bordered table-hover table-condensed" id="codes">
      </table>
    </div>
  </div>

  <div class="col-lg-3">
    <div id="errorsContainer">
      <strong>Errors</strong>

      <p></p>

      <table class="table table-bordered table-hover table-condensed" id="errors">
      </table>
    </div>
  </div>
</div> <!-- /.row -->

<div class="row">
  <div class="text-center col-lg-12">
    <h2>Charts</h2>
  </div>
</div>

<div class="row">
  <div class="latency-histogram text-center col-lg-12"></div>
</div>

<div class="row">
  <div class="latency text-center col-lg-12"></div>
</div>

<div class="latency-legend"></div>

<div class="row">

</div>

<div class="row">
  <div class="concurrency text-center col-lg-12"></div>
</div>

<div class="row">
  <div class="rps-mean text-center col-lg-12"></div>
</div>
<div class="row">
  <div class="rps-count text-center col-lg-12"></div>
</div>

<div class="row">
  <div class="codes-line text-center col-lg-12"></div>
</div>
<div class="row">
  <div class="errors-line text-center col-lg-12"></div>
</div>


  


</div>

<div class="row">
  <div class="col-lg-8 col-lg-offset-2">
    <h3 class="text-center">Raw report data</h3>
    <p>This is the raw JSON stats output that the report was generated from.</p>
    <div id="editor">
    </div>
  </div>
</div>

<script>
var editor = ace.edit("editor");
editor.getSession().setMode("ace/mode/javascript");
editor.setValue(JSON.stringify(Report, null, 2));
editor.gotoLine(1);editor.setHighlightActiveLine(false);

var l = _;

$('#timestamp').html(moment(Report.aggregate.timestamp).format('DD MMM YYYY HH:mm:SS'));
$('#testDuration').html(l.size(Report.intermediate) * 10);
$('#scenariosCompleted').html(Report.aggregate.scenariosCompleted);
$('#scenariosCreated').html(Report.aggregate.scenariosCreated);

var markers = [];
if(l.size(Report.phases) > 0) {
  markers = l.foldl(Report.phases, function(acc, phase, index) {
    var label = phase.name || 'Phase ' + (index + 1);
    var timestamp = (index === 0) ? 0 : Report.phases[index - 1].duration + acc[index - 1].timestamp;

    acc.push({
      timestamp: timestamp,
      label: label
    });

    return acc;
  }, []);
}

if (l.size(Report.aggregate.scenarioCounts) > 0) {
  l.each(Report.aggregate.scenarioCounts, function(count, name) {
    var $tdName = $('<td>' + name + '</td>');
    var percentage = Math.round(count / Report.aggregate.scenariosCreated * 100 * 1000) / 1000;
    var $tdCount = $('<td>' + count + ' (' + percentage + '%)' + '</td>');
    var $el = $('<tr></tr>')
      .append($tdName)
      .append($tdCount)
      .appendTo($('#scenarioCounts'));
  });
} else {
  $('#scenarioCountsContainer').hide();
}

if (l.size(Report.aggregate.codes) > 0) {
  l.each(Report.aggregate.codes, function(count, code) {
    var anchor = '';
    if (code >= 100 && code < 200) {
      anchor = '#1xx_Informational';
    } else if (code >= 200 && code < 300) {
      anchor = '#2xx_Success';
    } else if (code >= 300 && code < 400) {
      anchor = '#3xx_Redirection';
    } else if (code >= 400 && code < 500) {
      anchor = '#4xx_Client_Error';
    } else if (code >= 500 && code < 600) {
      anchor = '#5xx_Server_Error';
    }

    var $a = $('<a>' + code + '</a>').attr('href', 'https://en.wikipedia.org/wiki/List_of_HTTP_status_codes' + anchor);
    var $td = $('<td></td>').append($a);
    var $el = $('<tr></tr>')
      .append($td)
      .append($('<td>' + count + '</td>'))
      .appendTo($('#codes'));
  });
} else {
  $('#codesContainer').hide();
}

if (l.size(Report.aggregate.errors) > 0) {
  l.each(Report.aggregate.errors, function(count, code) {
    var $el = $('<tr></tr>')
      .append($('<td>' + code + '</td>'))
      .append($('<td>' + count + '</td>'))
      .appendTo($('#errors'));
  });
} else {
  $('#errorsContainer > p').html('&#10004; Test completed without network or OS errors.');
}

var histogramData = l.map(Report.aggregate.latency, function(v, k) { return {bin: k, value: v} });

MG.data_graphic({
  chart_type: 'bar',
  x_label: 'Percentile',
  y_label: '(ms)',
  animate_on_load: true,
  title: 'Overall Latency Distribution',
  description: 'Distribution of all observed response latencies',
  target: '.latency-histogram',
  data: histogramData,
  x_accessor: 'bin',
  y_accessor: 'value',
  binned: true,
  height: 250,
  interpolate: 'monotone',
  padding_percentage: 0,
  bar_orientation: 'vertical',
  width: 450
});

var chartData = l.map(
  window.Report.intermediate,
  function(o,i) {
    return {
      timestamp: i*10+10,

      rpsMean: o.rps.mean,
      rpsCount: o.rps.count,
      concurrency: o.concurrency,
      latencyMax: o.latency.max,
      latencyp99: o.latency.p99,
      latencyp95: o.latency.p95,
      latencyMedian: o.latency.median,
      latencyMin: o.latency.min
    }
  });

//
// Response codes
//

if (l.size(Report.aggregate.codes) > 0) {
  var codesData = l.foldl(Report.intermediate, function(acc, o, i) {
    var res = {};
    res.timestamp = i*10+10;
    l.each(o.codes, function(count, code) {
      res[code] = count;
    });
    acc.push(res);
    return acc;
  }, []);
  var uniqueCodes = l.foldl(Report.intermediate, function(acc, o) {
    l.each(o.codes, function(count, code) {
      if (l.indexOf(acc, code) === -1) {
        acc.push(code);
      }
    });
    return acc;
  }, []);

  MG.data_graphic({
    x_label: 'Time',
    y_label: 'Count',
    title: 'HTTP codes',
    description: 'Occurence of HTTP response codes',
    target: '.codes-line',
    data: codesData,
    x_accessor: 'timestamp',
    y_accessor: uniqueCodes,
    legend: uniqueCodes,
    right: 50,
    chart_type: 'line',
    area: false,
    markers: markers,
    width: 900
  });
}

//
// Errors
//

if (l.size(Report.aggregate.errors) > 0) {
  var errorData = l.foldl(Report.intermediate, function(acc, o, i) {
    var res = {};
    res.timestamp = i*10+10;
    l.each(o.errors, function(count, name) {
      res[name] = count;
    });
    acc.push(res);
    return acc;
  }, []);
  var uniqueErrors = l.foldl(Report.intermediate, function(acc, o) {
    l.each(o.errors, function(count, name) {
      if (l.indexOf(acc, name) === -1) {
        acc.push(name);
      }
    });
    return acc;
  }, []);

  MG.data_graphic({
    title: 'Error Codes',
    description: 'Occurence of error codes',
    target: '.errors-line',
    data: errorData,
    x_accessor: 'timestamp',
    y_accessor: uniqueErrors,
    chart_type: 'line',
    area: false,
    markers: markers
  });

}

//
// Latency
//
MG.data_graphic({
  chart_type: 'line',
  x_label: 'Time',
  y_label: '(ms)',
  animate_on_load: true,
  area: false,
  title: "Latency At Intervals",
  description: "Latency values at different points during the test run",
  data: chartData,
  target: '.latency',
  width: 900,
  x_accessor: 'timestamp',
  y_accessor: ['latencyMin', 'latencyMedian', 'latencyp95', 'latencyMax'],
  legend: ['min', 'p50', 'p95', 'max'],
  //legend_target: '.latency-legend',
  right: 50,
  interpolate: 'monotone',
  mouseover: function(d, i) {
  },
  markers: markers
        });

            MG.data_graphic({
            animate_on_load: true,
            area: false,
            y_label: 'Count',
            x_label: 'Time',
            title: 'Concurrent users',
            description: 'Concurrent users',
            data: chartData,
            target: '.concurrency',
            x_accessor: 'timestamp',
            y_accessor: ['concurrency'],
            interpolate: 'monotone',
            markers: markers,
            width: 900
            });

MG.data_graphic({
  animate_on_load: true,
  area: false,
  y_label: 'Count',
  x_label: 'Time',
  title: 'Mean RPS',
  description: 'Mean requests per second',
  data: chartData,
  target: '.rps-mean',
  x_accessor: 'timestamp',
  y_accessor: ['rpsMean'],
  interpolate: 'monotone',
  markers: markers,
  width: 900
});

MG.data_graphic({
  animate_on_load: true,
  area: false,
  y_label: 'Count',
  x_label: 'Time',
  title: 'RPS Count',
  description: 'Count of requests per second',
  data: chartData,
  target: '.rps-count',
  x_accessor: 'timestamp',
  y_accessor: ['rpsCount'],
  interpolate: 'monotone',
  markers: markers,
  width: 900
});
</script>
<div id="footer">
  <footer>This report was created with <a href="https://artillery.io">Artillery</a> - free open-source load-testing for HTTP and WebSockets</footer>
</div>
</body>
</html>
